Bug 643781 - install_book does not set translated name_label
install_book does not set translated name_label
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-17 22:51 EDT by Ruediger Landmann
Modified: 2010-11-23 23:20 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-2.3-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-27 18:48:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-10-17 22:51:24 EDT
Description of problem:
Installing a book with the install_book command does not set the name_label. Therefore, translated books appear in the site tables of contents with their English titles. 

Version-Release number of selected component (if applicable):
publican 2.2-0.fc13.t22

How reproducible:
100%

Steps to Reproduce:
1. Build a translated book, for example, the Spanish (es-ES) version of the Fedora 14 Accessibility Guide, available from: ssh://git.fedorahosted.org/git/docs/accessibility-guide.git

2. Use "publican install_book" to add the book to a Publican-maintained website

3. Navigate to the Spanish ToC or the static HTML Sitemap
  
Actual results:
The Fedora 14 Accessibility Guide appears in the menus as "Accessibility Guide"

Querying the site database file shows that the "name_label" field is null, although the "product_label" field is set even though not specified in the config file.

Expected results:
Fedora 14 Accessibility Guide appears in the menus as "Guía de accesibilidad"

Additional info:
You can see this bug in action by browsing the Fedora 14 content in various languages on docs.fedoraproject.org
Comment 1 Jeff Fearn 2010-10-17 23:51:49 EDT
The name label wasn't being passed to the install method.

Fixed in build: 2.2-0%{?dist}.t31
Comment 2 Ruediger Landmann 2010-10-18 00:44:15 EDT
Thanks Jeff -- fix verified in t31

Just noting that the product_label is still getting set for all translated books, even though there's no web_product_label set in the config file. Of course, this doesn't affect the output, but I thought I'd mention it.
Comment 3 Fedora Update System 2010-10-25 23:45:03 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 4 Fedora Update System 2010-10-27 18:47:45 EDT
publican-2.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.